### Function

# Gtk Window set_interactive_debugging

#### Declaration [src]

    void
    gtk_window_set_interactive_debugging (
      gboolean enable
    )

#### Description [src]

Opens or closes the interactive debugger.

The debugger offers access to the widget hierarchy of the application and to useful debugging tools.

This function allows applications that already use `Ctrl`+`Shift`+`I` (or `Ctrl`+`Shift`+`D`) for their own key shortcuts to add a different shortcut to open the Inspector.

If you are not overriding the default key shortcuts for the Inspector, you should not use this function.

#### Parameters

`enable`

  Type: `gboolean`

  True to enable interactive debugging.